Bug 15096 - Doing UMSDOS install on Windows partition failed
Doing UMSDOS install on Windows partition failed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-02 01:51 EDT by Mark Allen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-17 14:45:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Mark Allen 2000-08-02 01:51:23 EDT
I have an eMachines Celeron 466, 8GB Maxtor EIDE drive, ATI Rage LT video,
Cirrus Crystal Sound, HP 9300 CD-RW writer, Windows 98 Second Edition, with
all the latest Windows updates.

Booted the pinstripe beta. Told Disk Druid to assign a 3000 GB / partition
to /dev/hda1.  It started to create the partition, and about 80% through,
it quit with an anaconda exception. I copied most of it to paper, so
forgive me if there are omissions.

/var/tmp/anaconda-7.0/usr/lib/anaconda/iw/progress_gui.py, line 19 run rc =
self.todo.doInstall()

then in todo.py, line 1425 in doInstall, self.fstab.makeFilesystems()

then in fstab.py, line 627 makeFilesystems (self.progressWindow,
_("Loopback"))

File /usr/lib/anaconda/isys.py, line 78 in ddfile, os.write(fd, buf)

OS Error: [Errno 27] File too large

Then X windows wedged, although the mouse still worked and I could switch
virtual consoles.
Comment 1 Michael Fulbright 2000-08-04 16:10:06 EDT
The installer should not allow you to create a 3000MB lookback file - could you
give step by step instructions
of how to reproduce this bug?

Also - what does your partition table look like before you start the install?
Comment 2 Mark Allen 2000-08-04 16:43:28 EDT
Partition table has only one entry for the Windows partition which is the size
of the entire disk.
/dev/hda1

As for the install procedure, it was a normal X windows based install. When I
was asked to do disk partitioning, I chose "manual using disk druid", selected
the Windows partition, in the dialog box, I chose mount point "/" and then size
of 3000MB. Clicked OK.  Then I clicked Next, agreed that I knew what I was doing
and that I wouldn't be able to use any other Linux partitions and then clicked
through to installation. (I selected GNOME workstation installation).
Comment 3 Michael Fulbright 2000-08-17 12:31:01 EDT
I think I have identified this issue - looking at it.
Comment 4 Michael Fulbright 2000-08-17 14:45:14 EDT
Ok I just did an install on our latest tree and it properly handles this case
now.

Note You need to log in before you can comment on or make changes to this bug.